Bug 137982 - CRASH: closing table preview. mail merge
Summary: CRASH: closing table preview. mail merge
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-04 11:00 UTC by Xisco Faulí
Modified: 2020-11-06 15:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
database (1.87 KB, application/vnd.oasis.opendocument.database)
2020-11-04 11:00 UTC, Xisco Faulí
Details
screencast (1.17 MB, video/x-matroska)
2020-11-04 11:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-04 11:00:00 UTC
Created attachment 166996 [details]
database

Steps to reproduce:
1. Open Writer
2. Tools - Mail merge
3. Select Address List - import attached document
4. Select any table - preview
5. Click on Close button at the top
6. Click on close button at the bottom

-> Crash. See attached screencast

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: a373a7c1705b9abc5551388998131dacc4698642
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-11-04 11:04:08 UTC
Created attachment 166997 [details]
screencast
Comment 2 Xisco Faulí 2020-11-04 11:05:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ca7c24dafe7aba7c2d71994d2561f1ae3d59257e

author	Caolán McNamara <caolanm@redhat.com>	2019-06-27 11:25:21 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-20 21:23:45 +0200
commit	ca7c24dafe7aba7c2d71994d2561f1ae3d59257e (patch)
tree	55fb1d24d6f706868519d3a821510433d8824397
parent	15521912ccbba14fe5f5b91009bfec154c7f29a1 (diff)
weld SwDBTablePreviewDialog and SwMailMergeDlg

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2020-11-04 12:07:27 UTC
that database references: "../../Downloads/2020-placement%20etudiants(1).ods" which I don't have of course so its doesn't reproduce out of the box
Comment 4 Caolán McNamara 2020-11-04 12:10:12 UTC
but if I make my own with multiple sheets it can be reproduced
Comment 5 Commit Notification 2020-11-04 17:01:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/525623ecd70ec66c4c06ac1c3369d5b24a2890be

tdf#137982 m_xFrame is already disposed

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-11-04 17:03:14 UTC
fixed in master, backport to 7-0 in gerrit
Comment 7 Commit Notification 2020-11-05 09:45:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a986db4b2d24669e502e447036851e118cc23036

tdf#137982 m_xFrame is already disposed

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-11-06 15:40:18 UTC
Verified in

Version: 7.1.0.0.alpha1+
Build ID: d7bcf59a51a058ba57e685cfc3e000fec623f716
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!